Debian Bug report logs - #670173
gnuplot: typo in qt terminal debug message

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Jacopo Nespolo <j.nespolo@gmail.com>

Date: Mon, 23 Apr 2012 16:33:05 UTC

Severity: minor

Tags: fixed-upstream, patch, upstream

Found in version gnuplot/4.6.0-5

Fixed in version gnuplot/4.6.0-6

Done: Agustin Martin Domingo <agmartin@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3524068&group_id=2055&atid=102055

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, j.nespolo@gmail.com, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#670173; Package gnuplot. (Mon, 23 Apr 2012 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacopo Nespolo <j.nespolo@gmail.com>:
New Bug report received and forwarded. Copy sent to j.nespolo@gmail.com, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 23 Apr 2012 16:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacopo Nespolo <j.nespolo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnuplot: typo in qt terminal debug message
Date: Mon, 23 Apr 2012 18:30:21 +0200
[Message part 1 (text/plain, inline)]
Package: gnuplot
Version: 4.6.0-5
Severity: minor
Tags: upstream patch

Dear Maintainer,
I think there is typo in the debugging message of the qt terminal:
     Could not connect gnuplot_qt "" . Staring a new one 
I suppose that should be a "Starting".
The following patch to gnuplot-4.6.0/src/qtterminal/term.cpp fixes the spelling.
I hope I run the diff right, my apologies in case I messed things up.

204c204
<                       qDebug() << "Could not connect to widget" << qt_optionWidget << ". Staring a QtGnuplotApplication";
---
>                       qDebug() << "Could not connect to widget" << qt_optionWidget << ". Starting a QtGnuplotApplication";
211c211
<                       qDebug() << "Could not connect gnuplot_qt" << qt_optionWidget << ". Staring a new one";
---
>                       qDebug() << "Could not connect gnuplot_qt" << qt_optionWidget << ". Starting a new one";

Thanks,
j

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (400, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-5
ii  gnuplot-x11  4.6.0-5

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc  <none>

-- no debconf information
[gnuplot_qt_patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#670173; Package gnuplot. (Wed, 25 Apr 2012 20:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 25 Apr 2012 20:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 670173@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: control@bugs.debian.org
Cc: 670173@bugs.debian.org, 670229@bugs.debian.org
Date: Wed, 25 Apr 2012 22:23:17 +0200
tags 670173 + pending
tags 670229 + pending
thanks




Added tag(s) pending. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 20:27:15 GMT) Full text and rfc822 format available.

Reply sent to Agustin Martin Domingo <agmartin@debian.org>:
You have taken responsibility. (Thu, 03 May 2012 22:54:15 GMT) Full text and rfc822 format available.

Notification sent to Jacopo Nespolo <j.nespolo@gmail.com>:
Bug acknowledged by developer. (Thu, 03 May 2012 22:54:15 GMT) Full text and rfc822 format available.

Message #17 received at 670173-close@bugs.debian.org (full text, mbox):

From: Agustin Martin Domingo <agmartin@debian.org>
To: 670173-close@bugs.debian.org
Subject: Bug#670173: fixed in gnuplot 4.6.0-6
Date: Thu, 03 May 2012 22:50:35 +0000
Source: gnuplot
Source-Version: 4.6.0-6

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.6.0-6_all.deb
  to main/g/gnuplot/gnuplot-doc_4.6.0-6_all.deb
gnuplot-nox_4.6.0-6_i386.deb
  to main/g/gnuplot/gnuplot-nox_4.6.0-6_i386.deb
gnuplot-qt_4.6.0-6_i386.deb
  to main/g/gnuplot/gnuplot-qt_4.6.0-6_i386.deb
gnuplot-x11_4.6.0-6_i386.deb
  to main/g/gnuplot/gnuplot-x11_4.6.0-6_i386.deb
gnuplot_4.6.0-6.debian.tar.gz
  to main/g/gnuplot/gnuplot_4.6.0-6.debian.tar.gz
gnuplot_4.6.0-6.dsc
  to main/g/gnuplot/gnuplot_4.6.0-6.dsc
gnuplot_4.6.0-6_all.deb
  to main/g/gnuplot/gnuplot_4.6.0-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670173@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Apr 2012 19:29:08 +0200
Source: gnuplot
Binary: gnuplot gnuplot-nox gnuplot-x11 gnuplot-qt gnuplot-doc
Architecture: source all i386
Version: 4.6.0-6
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
Description: 
 gnuplot    - Command-line driven interactive plotting program
 gnuplot-doc - Command-line driven interactive plotting program. Doc-package
 gnuplot-nox - Command-line driven interactive plotting program. No-X package
 gnuplot-qt - Command-line driven interactive plotting program. QT-package
 gnuplot-x11 - Command-line driven interactive plotting program. X-package
Closes: 668955 670173 670229 670423
Changes: 
 gnuplot (4.6.0-6) unstable; urgency=low
 .
   [ Anton Gladky ]
   * [3deb1bf] Decrease the priority of qt-terminal to be set as "default".
               (Closes: #668955)
   * [71fd7e3] Add gnuplot-qt binary. (Closes: #670229)
   * [1ef10f2] Fix typo in qt-terminal debug output. (Closes: #670173)
   * [d572c4e] Replace ttf-liberation by fonts-liberation.
               Thanks to Fabian Greffrath. (Closes: #670423)
   * [3a12b41] Remove *.postrm and *.preinst files.
 .
   [ Agustin Martin Domingo ]
   * [2c1a288] Change Replaces by Conflicts between different gnuplot-* flavors.
   * [c9e3fac] gnuplot-x11.{prerm,postinst}: try to remove old diversions.
   * [2745ff0] make gnuplot-{nox,x11,qt} depend on at least gnuplot 4.6.0-6.
   * [f1a4f5a] gnuplot-qt, gnuplot-x11, gnuplot-nox: Make them standalone
               packages.
Checksums-Sha1: 
 8e0bea7625c3008fd475de7eac472fd4691b42e1 1799 gnuplot_4.6.0-6.dsc
 d91f3980c025002bbad85e1944345ccba4af5301 26786 gnuplot_4.6.0-6.debian.tar.gz
 ad5e318a62a7cebc8e90c99698754013002317bb 90632 gnuplot_4.6.0-6_all.deb
 c381481cf1143f9d623eeece2477499667a7da29 905372 gnuplot-nox_4.6.0-6_i386.deb
 fb0c6e2a3011157dbaa0776fc7483aa1ee3dea46 1035642 gnuplot-x11_4.6.0-6_i386.deb
 a9268c1aa6195391d811bb1ff06a51369511e86a 1124458 gnuplot-qt_4.6.0-6_i386.deb
 0ef4b9ccaf9356bc48e45de6588c9cab572be16f 2889676 gnuplot-doc_4.6.0-6_all.deb
Checksums-Sha256: 
 25316c8660c5b97bbe83247a932621fee68c61df2cc880b24153bf1f6d9dfabb 1799 gnuplot_4.6.0-6.dsc
 892a988b513bc6ac01f2056416a2622b18abd8cf42d8f6554f94f164a992253b 26786 gnuplot_4.6.0-6.debian.tar.gz
 74f5a60e3d87d8ce2a86bde64fee922384fb348cba98d048a614b248630f9d18 90632 gnuplot_4.6.0-6_all.deb
 6519c38155232fb4c5fcab09a6e781ff09ab45887150cf70f47f21c29c7bbfdf 905372 gnuplot-nox_4.6.0-6_i386.deb
 8e352d61f49bb2deb4ceb1f4bfb792275e948bf3b88b25e0178690c9f5615bd9 1035642 gnuplot-x11_4.6.0-6_i386.deb
 1eb8f75ec5492da34713aaad1ce7be32f58a3005009933ace6edaed03e1554ac 1124458 gnuplot-qt_4.6.0-6_i386.deb
 290d8932c3366be89b1def1c9b0643c593be7c731a809271be4d85c61cc87a0c 2889676 gnuplot-doc_4.6.0-6_all.deb
Files: 
 6f38dc12d1c7a58e53033230b8d242b1 1799 math optional gnuplot_4.6.0-6.dsc
 211145e4d2979889fcbec7d3e8e13133 26786 math optional gnuplot_4.6.0-6.debian.tar.gz
 310c1284bced058036dac97860c1171f 90632 math optional gnuplot_4.6.0-6_all.deb
 83f4f5cb098caed5fea4aaf616060688 905372 math optional gnuplot-nox_4.6.0-6_i386.deb
 ef9ca2a681c8f16bf081c9b8c4e46820 1035642 math optional gnuplot-x11_4.6.0-6_i386.deb
 4bd136f9235f025f320f3ceadc8c5773 1124458 math optional gnuplot-qt_4.6.0-6_i386.deb
 1ba5f1e63941e03a4c7f0167a2341a20 2889676 doc optional gnuplot-doc_4.6.0-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPoqRmTShHqj72DpwRAh1nAJ9qdWdT0LmMTp/JGCb/cchMBxM/YACeME/f
xDGYI9lx/9CI6l9mVkBnBJ8=
=qkMu
-----END PGP SIGNATURE-----





Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3524068&group_id=2055&atid=102055'. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:18:36 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:18:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jun 2012 07:45:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:33:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.